Package com.tietoenator.trip.jxp.data

# Enum Class TdbFieldFetchOption

java.lang.Object
java.lang.Enum<TdbFieldFetchOption>
com.tietoenator.trip.jxp.data.TdbFieldFetchOption

All Implemented Interfaces:
  `Serializable`, `Comparable<TdbFieldFetchOption>`, `Constable`

public enum TdbFieldFetchOption extends Enum<TdbFieldFetchOption>
Used with the TdbFieldTemplate class to indicate how to fetch field values from the server.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Always`
  Fetch all fields.
  `HitOnly`
  Fetch only fields that are hit.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TdbFieldFetchOption`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TdbFieldFetchOption[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Always

    public static final TdbFieldFetchOption Always
    Fetch all fields.

  - ### HitOnly

    public static final TdbFieldFetchOption HitOnly
    Fetch only fields that are hit.

- ## Method Details

  - ### values

    public static TdbFieldFetchOption[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TdbFieldFetchOption valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null